Subject: Re: [bug report] armada-8040-mcbin: 5.6-rc5 boot failure

From: Sergey Matyukevich <[email-masked]>
Date: Wed, 15 Apr 2020 00:52:39 +0300

> > > I have not changed configuration since 5.3, so all the marvell phy
> > > drivers are in place. Is there anything in configuration that could
> > > be missed after moving from 5.3 to 5.6 kernel ?
> > 
> > FWIW mine works perfectly fine with 5.4 at 1G/2.5G/10G. From what I can
> > quickly check here are the relevant parts in my config for ethernet (not
> > sure all are needed though):
> > 
> > CONFIG_NET_VENDOR_MARVELL=y
> > CONFIG_MVMDIO=y
> > CONFIG_MVPP2=y
> > CONFIG_MDIO_DEVICE=y
> > CONFIG_MDIO_BUS=y
> > CONFIG_MDIO_BITBANG=y
> 
> Macchiatobin doesn't bitbang the MDIO bus.
> 
> > CONFIG_MDIO_BUS_MUX=y
> > CONFIG_MDIO_BUS_MUX_MMIOREG=y
> > CONFIG_MDIO_BUS_MUX_MULTIPLEXER=y
> 
> There's no MDIO bus muxing on Macchiatobin.
> 
> > CONFIG_MDIO_I2C=y
> > CONFIG_PHYLINK=y
> > CONFIG_PHYLIB=y
> > CONFIG_SWPHY=y
> > CONFIG_SFP=y
> > CONFIG_FIXED_PHY=y
> 
> CONFIG_FIXED_PHY should no longer be required.
> 
> > CONFIG_MARVELL_PHY=y
> > CONFIG_MARVELL_10G_PHY=y
> > 
> > Not tested 5.6 yet.

Thanks ! I tested mainline kernels 5.6-rc5, 5.6, 5.7-rc1: all of them
worked just fine on MacchiatoBin. After that I finally figured out what
was wrong with my setup even after updating ATF to 18.12.

Initally I used wireless-drivers-next kernel tree v5.6-rc1. It turned
out that this tree at that point included commit e1f550dc44a ("net:
mvmdio: avoid error message for optional IRQ") but did not included its
subsequent revert...

Regards,
Sergey

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel